# FdoIConnectionCapabilities Class Reference

`#include <IConnectionCapabilities.h>`

Inheritance diagram for FdoIConnectionCapabilities:

[legend]

List of all members.

## Detailed Description

The FdoIConnectionCapabilities interface declares the feature provider's capabilities.

Definition at line 33 of file IConnectionCapabilities.h.

## Public Member Functions
virtual FDO_API FdoLockType * | GetLockTypes (FdoInt32 &size)=0
| Gets an array of the FdoLockType values supported by the feature provider.
virtual FDO_API FdoSpatialContextExtentType * | GetSpatialContextTypes (FdoInt32 &length)=0
| Gets the spatial context extent types supported by the feature provider.
virtual FDO_API FdoThreadCapability | GetThreadCapability ()=0
| Gets an FdoThreadCapability value that declares the feature provider's level of thread safety.
virtual FDO_API bool | SupportsConfiguration ()=0
| Determines if the feature provider supports XML configuration.
virtual FDO_API bool | SupportsCSysWKTFromCSysName ()=0
| Determines if the provider supports specifying the coordinate system by name or ID without specifying the WKT when creating a new spatial context.
virtual FDO_API bool | SupportsFlush ()=0
| Determines if the provider can support the flush function. Flush is used to write any outstanding data to the datastore. This is mainly used by the file based providers to ensure that any cached data is writen to the file.
virtual FDO_API bool | SupportsLocking ()=0
| Determines if the feature provider supports persistent locking.
virtual FDO_API bool | SupportsLongTransactions ()=0
| Determines true if the feature provider supports long transactions.
virtual FDO_API bool | SupportsMultipleSpatialContexts ()=0
| Determines if the provider supports multiple spatial contexts.
virtual FDO_API bool | SupportsMultiUserWrite ()=0
| Determines if the provider or datastore can support more than one user writing to a single datastore at one time.
virtual FDO_API bool | SupportsSQL ()=0
| Determines if the feature provider supports SQL commands.
virtual FDO_API bool | SupportsTimeout ()=0
| Determines if the feature provider supports connection timeout.
virtual FDO_API bool | SupportsTransactions ()=0
| Determines if the feature provider supports transactions.
virtual FDO_API bool | SupportsWrite ()=0
| Determines if write is supported by the provider or by the datastore depending on whether this request is at the provider or datastore level.

The documentation for this class was generated from the following file:

- IConnectionCapabilities.h